package com.xinelu.quartz.task;

import com.xinelu.quartz.service.RefundInfoTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Description 专家咨询订单医生手动拒单定时任务
 * @Author 纪寒
 * @Date 2022-10-25 14:35:59
 * @Version 1.0
 */
@Slf4j
@Component("refundHealthConsultationOrderTask")
public class RefundHealthConsultationOrderTask {

    @Resource
    private RefundInfoTaskService refundInfoTaskService;

    /**
     * 自动处理专家咨询订单医生手动拒单定时任务
     */
    public void automaticProcessHealthConsultationRefund() {
        log.info("开始执行专家咨询订单医生手动拒单定时任务........");
        refundInfoTaskService.automaticProcessHealthConsultationRefund();
        log.info("完成专家咨询订单医生手动拒单定时任务........");
    }
}
